use clap::Parser;
use little_hesinde::{cli::Cli, config::Config};

#[tokio::main]
async fn main() -> Result<(), std::io::Error> {
    tracing_subscriber::fmt::init();

    let args = Cli::parse();
    let config = Config::load(&args).expect("failed to load configuration");

    little_hesinde::run(config).await
}
